CK_ARRAY_COMMIT(3)

NAME
ck_array_commit - linearization point for mutations before commit call

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_array.h>
bool
ck_array_commit(ck_array_t *array);

DESCRIPTION
The ck_array_commit(3) function will commit any pending put or remove operations associated with the array. The function may end up requesting the safe reclamation of memory actively being iterated upon by other threads.

RETURN VALUES
This function returns true if the commit operation succeeded. It will return false otherwise, and pending operations will not be applied.

SEE ALSO
ck_array_init(3), ck_array_put(3), ck_array_put_unique(3), ck_array_remove(3), ck_array_deinit(3) ck_array_length(3), ck_array_buffer(3), ck_array_initialized(3), CK_ARRAY_FOREACH(3)

Additional information available at http://concurrencykit.org/